#!/bin/sh
# this is executed on camera when app is installed

#set debug mode and redirext ALL output to logfile.
#KEEP THIS AT TOP!!!
set -x
set +e
exec > /tmp/store_occupancy_manager_install.log 2>&1

if [ -z "$1" ] || [ "$1" != "fromacap" ]; then
  killall -9 storeoccupancymanager
fi

# chmod
chmod 750 /usr/local/packages/storeoccupancymanager/storeoccupancymanager
chmod 750 /usr/local/packages/storeoccupancymanager/tools/enable_cgi.sh

# enable_cgi for apache
/usr/local/packages/storeoccupancymanager/tools/enable_cgi.sh

eval $(grep VERSION /usr/local/packages/storeoccupancymanager/package.conf)
VERSION="$APPMAJORVERSION.$APPMINORVERSION.$APPMICROVERSION"
parhandclient set storeoccupancymanager.Version "$VERSION"

eval $(cat /usr/local/packages/storeoccupancymanager/version_info.txt)
VERSION_HASH="$BRANCH|$COMMIT_SHA|$TIMESTAMP"
parhandclient set storeoccupancymanager.VersionHash "$VERSION_HASH"

VERSION_REDIRECT="$APPMAJORVERSION-$APPMINORVERSION-$APPMICROVERSION"
sed -i -e "s/#VERSION/$VERSION_REDIRECT/" /usr/local/packages/storeoccupancymanager/html/settings.html
sed -i -e "s/#VERSION/$VERSION_REDIRECT/" /usr/local/packages/storeoccupancymanager/html/output.html
sed -i -e "s/#VERSION/$VERSION_REDIRECT/" /usr/local/packages/storeoccupancymanager/html/output_slow.html